Eclipse Draw2d 3.7

## org.eclipse.draw2d
Class PuristicScrollPane

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.ScrollPane
              org.eclipse.draw2d.PuristicScrollPane

All Implemented Interfaces:
  IFigure

    public class PuristicScrollPane

extends ScrollPane

A `ScrollPane` with transparent `PuristicScrollPane.PuristicScrollBar`s.

Since:
  3.6

Nested Class Summary
`class` `PuristicScrollPane.PuristicScrollBar` A `ScrollBar` with no thumb and non-opaque buttons.

Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.draw2d.ScrollPane
`ALWAYS, AUTOMATIC, hBar, NEVER, vBar, viewport`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`PuristicScrollPane()`

Method Summary
`protected void` `createHorizontalScrollBar()` Creates a new horizontally oriented ScrollBar and adds it to this ScrollPane.
`protected void` `createVerticalScrollBar()` Creates a new vertically oriented ScrollBar and adds it to this ScrollPane.

Methods inherited from class org.eclipse.draw2d.ScrollPane

`createViewport, getContents, getHorizontalScrollBar, getHorizontalScrollBarVisibility, getVerticalScrollBar, getVerticalScrollBarVisibility, getView, getViewport, isOpaque, scrollHorizontalTo, scrollTo, scrollVerticalTo, setContents, setHorizontalScrollBar, setHorizontalScrollBarVisibility, setScrollBarVisibility, setVerticalScrollBar, setVerticalScrollBarVisibility, setView, setViewport, validate`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, paintFigure, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PuristicScrollPane

    public PuristicScrollPane()

Method Detail

### createVerticalScrollBar

    protected void createVerticalScrollBar()

  Description copied from class: `ScrollPane`
  Creates a new vertically oriented ScrollBar and adds it to this ScrollPane.

  Overrides:
    `createVerticalScrollBar` in class `ScrollPane`
  See Also:
    `ScrollPane.createVerticalScrollBar()`

### createHorizontalScrollBar

    protected void createHorizontalScrollBar()

  Description copied from class: `ScrollPane`
  Creates a new horizontally oriented ScrollBar and adds it to this ScrollPane.

  Overrides:
    `createHorizontalScrollBar` in class `ScrollPane`
  See Also:
    `ScrollPane.createHorizontalScrollBar()`

Eclipse Draw2d 3.7

Copyright (c) IBM Corp. and others 2000, 2011. All Rights Reserved.